#include "K40SecurityCameraKillerRevealComponent.h"
#include "Net/UnrealNetwork.h"

class ADBDPlayer;

void UK40SecurityCameraKillerRevealComponent::OnRep_IsRevealingKiller(bool oldIsRevealingKiller)
{

}

void UK40SecurityCameraKillerRevealComponent::OnOwningCameraConnectedDoorSet()
{

}

void UK40SecurityCameraKillerRevealComponent::OnControllingPlayerChanged(ADBDPlayer* player)
{

}

void UK40SecurityCameraKillerRevealComponent::GetLifetimeReplicatedProps(TArray<FLifetimeProperty>& OutLifetimeProps) const
{
	Super::GetLifetimeReplicatedProps(OutLifetimeProps);

	DOREPLIFETIME(UK40SecurityCameraKillerRevealComponent, _isRevealingKiller);
}

UK40SecurityCameraKillerRevealComponent::UK40SecurityCameraKillerRevealComponent()
{
	this->_isRevealingKiller = false;
}
